<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

if ( ! class_exists( 'AWL_Admin_Page_Premium' ) ) :

    /**
     * Class for plugin admin ajax hooks
     */
    class AWL_Admin_Page_Premium {

        /*
         * Constructor
         */
        public function __construct() {
            
            $this->generate_content();

        }

        /*
         * Generate options fields
         */
        private function generate_content() {

            add_thickbox();

            echo '<div class="buy-premium">';
                echo '<a href="https://advanced-woo-labels.com/pricing/?utm_source=plugin&utm_medium=premium-tab&utm_campaign=awl-pro-plugin" target="_blank">';
                    echo '<span class="desc">' . __( 'Upgrade to the', 'advanced-woo-labels' ) . '<b> ' . __( 'Premium plugin version', 'advanced-woo-labels' ) . '</b><br>' . __( 'to have all available features!', 'advanced-woo-labels' ) . '</span>';
                    echo '<ul>';
                        echo '<li>30-day money back guarantee</li>';
                        echo '<li>Priority support</li>';
                        echo '<li>1 year of support and updates</li>';
                    echo '</ul>';
                    echo '</a>';
            echo '</div>';




            echo '<div class="awl-pro-block">';

                echo '<h3>' . __( 'Premium Features', 'advanced-woo-labels' ) . '</h3>';

                echo '<div class="awl-f-item">';

                    echo '<div class="column main-column">';

                        echo '<h4 class="title">';
                            echo __( 'Image Labels', 'advanced-woo-labels' );
                        echo '</h4>';

                        echo '<p class="desc">';
                            echo __( 'Use one of predefined images as label or upload your custom one.', 'advanced-woo-labels' );
                            echo '<br><a href="https://advanced-woo-labels.com/guide/content-sources/?utm_source=plugin&utm_medium=premium-tab&utm_campaign=awl-pro-plugin" target="_blank">' . __( 'Learn more', 'advanced-woo-labels' ) . '</a>';
                        echo '</p>';

                    echo '</div>';

                    echo '<div class="column">';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Choose image', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Select image from the list of predefined ones.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Set image size', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Make image bigger or smaller right from admin screen.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                    echo '</div>';

                    echo '<div class="column">';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Upload custom image', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Upload any custom image and use it as your label.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Set image opacity', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Fill free to change image opacity.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                    echo '</div>';

                echo '</div>';

                echo '<div class="awl-f-item">';

                    echo '<div class="column main-column">';

                        echo '<h4 class="title">';
                            echo __( 'More Product Conditions', 'advanced-woo-labels' );
                        echo '</h4>';

                        echo '<p class="desc">';
                            echo __( 'Number of label conditions has been significantly increased. Now you can create more complex label display rules by using this additional conditions.', 'advanced-woo-labels' );
                            echo '<br><a href="https://advanced-woo-labels.com/guide/content-sources/?utm_source=plugin&utm_medium=premium-tab&utm_campaign=awl-pro-plugin" target="_blank">' . __( 'Learn more', 'advanced-woo-labels' ) . '</a>';
                        echo '</p>';

                    echo '</div>';

                    echo '<div class="column">';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Product type', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Choose for what product type ( simple, grouped, external, variable ) to display the label.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Product age', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Rule based on product age in days, weeks, months or hours.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Sale date', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'For scheduled product sales. Conditions based on when sale was started or when it will ends ( in days or hours ).', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Sales number', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Condition based on number of product sales. Time frames: all time, last 24 hours, last 7 days, last month, last year.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                    echo '</div>';

                    echo '<div class="column">';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Is in cart', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Display or not label depending on whether the product is in the user cart.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Product taxonomies', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Create label display condition based on any custom product taxonomy that product belong to ( or not ).', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Product attributes', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Check for any attributes that product has. Also works with custom attributes.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Product custom fields', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Check for any product custom field and display label based on this field value.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                    echo '</div>';

                echo '</div>';


                echo '<div class="awl-f-item">';

                    echo '<div class="column main-column">';

                        echo '<h4 class="title">';
                            echo __( 'User Conditions', 'advanced-woo-labels' );
                        echo '</h4>';

                        echo '<p class="desc">';
                            echo __( 'Additional label conditions based on user parameters.', 'advanced-woo-labels' );
                            echo '<br><a href="https://advanced-woo-labels.com/guide/content-sources/?utm_source=plugin&utm_medium=premium-tab&utm_campaign=awl-pro-plugin" target="_blank">' . __( 'Learn more', 'advanced-woo-labels' ) . '</a>';
                        echo '</p>';

                    echo '</div>';

                    echo '<div class="column">';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'User country', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Show label only for users from certain countries. Or vice versa hide labels for certain user countries.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'User device', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Check for user device ( mobile or desktop ) and create conditions based on this.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'User language', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Rule based on user language.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                    echo '</div>';

                    echo '<div class="column">';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'User cart', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Conditions based on user cart parameters: total number of items, average items cost, total sum of all items.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'User shop stats', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'User shopping statistic: number of orders, average order value, total spend.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                    echo '</div>';

                echo '</div>';

                echo '<div class="awl-f-item">';

                    echo '<div class="column main-column">';

                        echo '<h4 class="title">';
                            echo __( 'Page Conditions', 'advanced-woo-labels' );
                        echo '</h4>';

                        echo '<p class="desc">';
                            echo __( 'More conditions based on page where label are need to display.', 'advanced-woo-labels' );
                            echo '<br><a href="https://advanced-woo-labels.com/guide/content-sources/?utm_source=plugin&utm_medium=premium-tab&utm_campaign=awl-pro-plugin" target="_blank">' . __( 'Learn more', 'advanced-woo-labels' ) . '</a>';
                        echo '</p>';

                    echo '</div>';

                    echo '<div class="column">';

                         echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Page template', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Option to select what theme page template was used to create the page that must display the the products with labels.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Page type', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Exclude/include labels based on page types like single/archive page, shop page, search results, front page, etc.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';


                    echo '</div>';

                    echo '<div class="column">';

                         echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Page archives', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Condition based on page archive taxonomy and term. For example, it is possible to display the label only for one certain product category and hide for others.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';


                    echo '</div>';

                echo '</div>';


                echo '<div class="awl-f-item">';

                    echo '<div class="column main-column">';

                        echo '<h4 class="title">';
                            echo __( 'Date Conditions', 'advanced-woo-labels' );
                        echo '</h4>';

                        echo '<p class="desc">';
                            echo __( 'Conditions based on current date or time.', 'advanced-woo-labels' );
                            echo '<br><a href="https://advanced-woo-labels.com/guide/content-sources/?utm_source=plugin&utm_medium=premium-tab&utm_campaign=awl-pro-plugin" target="_blank">' . __( 'Learn more', 'advanced-woo-labels' ) . '</a>';
                        echo '</p>';

                    echo '</div>';

                    echo '<div class="column">';

                         echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Date', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Display or hide label on certain date or date range.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';


                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Time', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Rule based on time or time range. For example, display label only from 12.00 to 16.00.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                    echo '</div>';

                    echo '<div class="column">';

                         echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Day Of Week', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Choose day of week as a condition for label displaying.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                    echo '</div>';

                echo '</div>';


                echo '<div class="awl-f-item">';

                    echo '<div class="column main-column">';

                        echo '<h4 class="title">';
                            echo __( 'More Text Variables', 'advanced-woo-labels' );
                        echo '</h4>';

                        echo '<p class="desc">';
                            echo __( 'Use some additional text variables to make labels text even more attractive and product-specific.', 'advanced-woo-labels' );
                            echo '<br><a href="https://advanced-woo-labels.com/guide/content-sources/?utm_source=plugin&utm_medium=premium-tab&utm_campaign=awl-pro-plugin" target="_blank">' . __( 'Learn more', 'advanced-woo-labels' ) . '</a>';
                        echo '</p>';

                    echo '</div>';

                    echo '<div class="column">';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( '{ATTR:slug}', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Display values list for any product attribute. For example, display all available product sizes.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                         echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( '{REVIEWS_NUM}', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Number of product reviews for last x days or for all time.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( '{RATING}', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Average product rating.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                    echo '</div>';

                    echo '<div class="column">';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( '{TAX:slug}', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Display list of terms for any available product taxonomy. For example, display product category.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( '{META:name}', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Show value of any custom fields that product has.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( '{SALES_NUM}', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Number of product sales for last x days or for all time.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                    echo '</div>';

                echo '</div>';


                echo '<div class="awl-f-item">';

                    echo '<div class="column main-column">';

                        echo '<h4 class="title">';
                            echo __( 'Label Styles', 'advanced-woo-labels' );
                        echo '</h4>';

                        echo '<p class="desc">';
                            echo __( 'Use even more label styling options to fully adapt it to your needs.', 'advanced-woo-labels' );
                            echo '<br><a href="https://advanced-woo-labels.com/guide/content-sources/?utm_source=plugin&utm_medium=premium-tab&utm_campaign=awl-pro-plugin" target="_blank">' . __( 'Learn more', 'advanced-woo-labels' ) . '</a>';
                        echo '</p>';

                    echo '</div>';

                    echo '<div class="column">';

                         echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Label borders', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Set label border width and color for it.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Label shadow', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'Set label shadow and choose its size.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                    echo '</div>';

                    echo '<div class="column">';

                        echo '<div class="column-line">';
                            echo '<h6 class="column-line-title">';
                                echo __( 'Additional templates', 'advanced-woo-labels' );
                            echo '</h6>';
                            echo '<p class="desc">';
                                echo __( 'More templates for label text shapes.', 'advanced-woo-labels' );
                            echo '</p>';
                        echo '</div>';

                    echo '</div>';

                echo '</div>';

            echo '</div>';

            echo '<div class="screenshots">';

                echo '<h3>' . __( 'Screenshots', 'advanced-woo-labels' ) . '</h3>';

                echo '<div class="screenshots-section">';

                    echo '<div class="screenshots-list">';

                        echo '<div class="screen">';
                            echo '<a href="#TB_inline?&width=1200&height=720&inlineId=my-content-id-1" class="thickbox">';
                                echo '<span id="my-content-id-1" >';
                                    echo '<img class="awl-screen" src="' . AWL_URL . '/assets/img/pro/product-cond-pro.png' . '">';
                                echo '<span>';
                            echo '</a>';
                        echo '</div>';

                        echo '<div class="screen">';
                             echo '<a href="#TB_inline?&width=1200&height=540&inlineId=my-content-id-2" class="thickbox">';
                                echo '<span id="my-content-id-2" >';
                                    echo '<img class="awl-screen" src="' . AWL_URL . '/assets/img/pro/user-cond-pro.png' . '">';
                                echo '<span>';
                            echo '</a>';
                        echo '</div>';

                        echo '<div class="screen">';
                             echo '<a href="#TB_inline?&width=1200&height=560&inlineId=my-content-id-3" class="thickbox">';
                                echo '<span id="my-content-id-3" >';
                                    echo '<img class="awl-screen" src="' . AWL_URL . '/assets/img/pro/page-cond-pro.png' . '">';
                                echo '<span>';
                            echo '</a>';
                        echo '</div>';

                        echo '<div class="screen">';
                             echo '<a href="#TB_inline?&width=1020&height=800&inlineId=my-content-id-8" class="thickbox">';
                                echo '<span id="my-content-id-8" >';
                                    echo '<img class="awl-screen" src="' . AWL_URL . '/assets/img/pro/image-label-pro.png' . '">';
                                echo '<span>';
                            echo '</a>';
                        echo '</div>';

                        echo '<div class="screen">';
                             echo '<a href="#TB_inline?&width=1200&height=450&inlineId=my-content-id-4" class="thickbox">';
                                echo '<span id="my-content-id-4" >';
                                    echo '<img class="awl-screen" src="' . AWL_URL . '/assets/img/pro/date-cond-pro.png' . '">';
                                echo '<span>';
                            echo '</a>';
                        echo '</div>';

                        echo '<div class="screen">';
                             echo '<a href="#TB_inline?&width=1200&height=900&inlineId=my-content-id-5" class="thickbox">';
                                echo '<span id="my-content-id-5" >';
                                    echo '<img class="awl-screen" src="' . AWL_URL . '/assets/img/pro/text-vars-pro.png' . '">';
                                echo '<span>';
                            echo '</a>';
                        echo '</div>';

                        echo '<div class="screen">';
                             echo '<a href="#TB_inline?&width=1200&height=820&inlineId=my-content-id-6" class="thickbox">';
                                echo '<span id="my-content-id-6" >';
                                    echo '<img class="awl-screen" src="' . AWL_URL . '/assets/img/pro/styling-pro.png' . '">';
                                echo '<span>';
                            echo '</a>';
                        echo '</div>';

                        echo '<div class="screen">';
                             echo '<a href="#TB_inline?&width=1200&height=550&inlineId=my-content-id-7" class="thickbox">';
                                echo '<span id="my-content-id-7" >';
                                    echo '<img class="awl-screen" src="' . AWL_URL . '/assets/img/pro/templates-pro.png' . '">';
                                echo '<span>';
                            echo '</a>';
                        echo '</div>';

                    echo '</div>';

                echo '</div>';

            echo '</div>';

            echo '<div class="faq">';

                echo '<h3>' . __( 'Frequently Asked Questions', 'advanced-woo-labels' ) . '</h3>';

                echo '<div class="faq-item">';
                    echo '<h4 class="question">';
                        echo __( 'Do you offer refunds?', 'advanced-woo-labels' );
                    echo '</h4>';
                    echo '<div class="answer">';
                        echo __( 'If you\'re not completely happy with your purchase and we\'re unable to resolve the issue, let us know and we\'ll refund the full purchase price. Refunds can be processed within 30 days of the original purchase.', 'advanced-woo-labels' );
                    echo '</div>';
                echo '</div>';

                echo '<div class="faq-item">';
                    echo '<h4 class="question">';
                        echo __( 'What payment methods do you accept?', 'advanced-woo-labels' );
                    echo '</h4>';
                    echo '<div class="answer">';
                        echo __( 'Checkout is powered FastSpring company. They supports major credit and debit cards, PayPal, and a variety of other mainstream payment methods, so there’s plenty to pick from.', 'advanced-woo-labels' );
                    echo '</div>';
                echo '</div>';

                echo '<div class="faq-item">';
                    echo '<h4 class="question">';
                        echo __( 'Do you offer support if I need help?', 'advanced-woo-labels' );
                    echo '</h4>';
                    echo '<div class="answer">';
                        echo __( 'Yes! You will benefit of our full support for any issues you have with this plugin.', 'advanced-woo-labels' );
                    echo '</div>';
                echo '</div>';

                echo '<div class="faq-item">';
                    echo '<h4 class="question">';
                        echo __( 'I have other pre-sale questions, can you help?', 'advanced-woo-labels' );
                    echo '</h4>';
                    echo '<div class="answer">';
                        echo __( 'Yes! You can ask us any question through our', 'advanced-woo-labels' ) . ' <a href="https://advanced-woo-labels.com/contact/?utm_source=plugin&utm_medium=premium-tab&utm_campaign=sti-pro-plugin" target="_blank">' . __( 'contact form.', 'advanced-woo-labels' ) . '</a>';
                    echo '</div>';
                echo '</div>';

            echo '</div>';

            echo '<div class="buy-premium">';
                echo '<a href="https://advanced-woo-labels.com/pricing/?utm_source=plugin&utm_medium=premium-tab&utm_campaign=awl-pro-plugin" target="_blank">';
                    echo '<span class="desc">' . __( 'Upgrade to the', 'advanced-woo-labels' ) . '<b> ' . __( 'Premium plugin version', 'advanced-woo-labels' ) . '</b><br>' . __( 'to have all available features!', 'advanced-woo-labels' ) . '</span>';
                echo '</a>';
            echo '</div>';

        }
        
    }

endif;
